OutputsOperations Class

OutputsOperations async operations.

You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.

Inheritance
builtins.object
OutputsOperations

Constructor

OutputsOperations(client, config, serializer, deserializer)

Parameters

client
Required

Client for service requests.

config
Required

Configuration of service client.

serializer
Required

An object model serializer.

deserializer
Required

An object model deserializer.

Variables

models

Alias to model classes used in this operation group.

Methods

begin_test

Tests whether an output's datasource is reachable and usable by the Azure Stream Analytics service.

create_or_replace

Creates an output or replaces an already existing output under an existing streaming job.

delete

Deletes an output from the streaming job.

get

Gets details about the specified output.

list_by_streaming_job

Lists all of the outputs under the specified streaming job.

update

Updates an existing output under an existing streaming job. This can be used to partially update (ie. update one or two properties) an output without affecting the rest the job or output definition.

begin_test

Tests whether an output's datasource is reachable and usable by the Azure Stream Analytics service.

async begin_test(resource_group_name: str, job_name: str, output_name: str, output: Optional[azure.mgmt.streamanalytics.models._models_py3.Output] = None, **kwargs) -> azure.core.polling._async_poller.AsyncLROPoller[azure.mgmt.streamanalytics.models._models_py3.ResourceTestStatus]

Parameters

resource_group_name
str
Required

The name of the resource group. The name is case insensitive.

job_name
str
Required

The name of the streaming job.

output_name
str
Required

The name of the output.

output
<xref:stream_analytics_management_client.models.Output>
default value: None

If the output specified does not already exist, this parameter must contain the full output definition intended to be tested. If the output specified already exists, this parameter can be left null to test the existing output as is or if specified, the properties specified will overwrite the corresponding properties in the existing output (exactly like a PATCH operation) and the resulting output will be tested.

cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or AsyncPollingMethod

True for ARMPolling, False for no polling, or a polling object for personal polling strategy

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of AsyncLROPoller that returns either ResourceTestStatus or the result of cls(response)

Return type

AsyncLROPoller[<xref:stream_analytics_management_client.models.ResourceTestStatus>]

Exceptions

create_or_replace

Creates an output or replaces an already existing output under an existing streaming job.

async create_or_replace(resource_group_name: str, job_name: str, output_name: str, output: azure.mgmt.streamanalytics.models._models_py3.Output, if_match: Optional[str] = None, if_none_match: Optional[str] = None, **kwargs) -> azure.mgmt.streamanalytics.models._models_py3.Output

Parameters

resource_group_name
str
Required

The name of the resource group. The name is case insensitive.

job_name
str
Required

The name of the streaming job.

output_name
str
Required

The name of the output.

output
<xref:stream_analytics_management_client.models.Output>
Required

The definition of the output that will be used to create a new output or replace the existing one under the streaming job.

if_match
str
default value: None

The ETag of the output. Omit this value to always overwrite the current output. Specify the last-seen ETag value to prevent accidentally overwriting concurrent changes.

if_none_match
str
default value: None

Set to '*' to allow a new output to be created, but to prevent updating an existing output. Other values will result in a 412 Pre-condition Failed response.

cls
callable

A custom type or function that will be passed the direct response

Returns

Output, or the result of cls(response)

Return type

<xref:stream_analytics_management_client.models.Output>

Exceptions

delete

Deletes an output from the streaming job.

async delete(resource_group_name: str, job_name: str, output_name: str, **kwargs) -> None

Parameters

resource_group_name
str
Required

The name of the resource group. The name is case insensitive.

job_name
str
Required

The name of the streaming job.

output_name
str
Required

The name of the output.

cls
callable

A custom type or function that will be passed the direct response

Returns

None, or the result of cls(response)

Return type

Exceptions

get

Gets details about the specified output.

async get(resource_group_name: str, job_name: str, output_name: str, **kwargs) -> azure.mgmt.streamanalytics.models._models_py3.Output

Parameters

resource_group_name
str
Required

The name of the resource group. The name is case insensitive.

job_name
str
Required

The name of the streaming job.

output_name
str
Required

The name of the output.

cls
callable

A custom type or function that will be passed the direct response

Returns

Output, or the result of cls(response)

Return type

<xref:stream_analytics_management_client.models.Output>

Exceptions

list_by_streaming_job

Lists all of the outputs under the specified streaming job.

list_by_streaming_job(resource_group_name: str, job_name: str, select: Optional[str] = None, **kwargs) -> AsyncIterable[azure.mgmt.streamanalytics.models._models_py3.OutputListResult]

Parameters

resource_group_name
str
Required

The name of the resource group. The name is case insensitive.

job_name
str
Required

The name of the streaming job.

select
str
default value: None

The $select OData query parameter. This is a comma-separated list of structural properties to include in the response, or "" to include all properties. By default, all properties are returned except diagnostics. Currently only accepts '' as a valid value.

cls
callable

A custom type or function that will be passed the direct response

Returns

An iterator like instance of either OutputListResult or the result of cls(response)

Return type

AsyncItemPaged[<xref:stream_analytics_management_client.models.OutputListResult>]

Exceptions

update

Updates an existing output under an existing streaming job. This can be used to partially update (ie. update one or two properties) an output without affecting the rest the job or output definition.

async update(resource_group_name: str, job_name: str, output_name: str, output: azure.mgmt.streamanalytics.models._models_py3.Output, if_match: Optional[str] = None, **kwargs) -> azure.mgmt.streamanalytics.models._models_py3.Output

Parameters

resource_group_name
str
Required

The name of the resource group. The name is case insensitive.

job_name
str
Required

The name of the streaming job.

output_name
str
Required

The name of the output.

output
<xref:stream_analytics_management_client.models.Output>
Required

An Output object. The properties specified here will overwrite the corresponding properties in the existing output (ie. Those properties will be updated). Any properties that are set to null here will mean that the corresponding property in the existing output will remain the same and not change as a result of this PATCH operation.

if_match
str
default value: None

The ETag of the output. Omit this value to always overwrite the current output. Specify the last-seen ETag value to prevent accidentally overwriting concurrent changes.

cls
callable

A custom type or function that will be passed the direct response

Returns

Output, or the result of cls(response)

Return type

<xref:stream_analytics_management_client.models.Output>

Exceptions

Attributes

models

models = <module 'azure.mgmt.streamanalytics.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\streamanalytics\\models\\__init__.py'>